AM261x MCU+ SDK: APIs for PMU

| AM261x MCU+ SDK 26.00.00 |

Files | Data Structures | Functions
APIs for PMU
APIs for SOC Specific Device Drivers

## Introduction

This module contains APIs to program and use the PMU module. The APIs can be used by other drivers to get access to PMU and also by application to initiate data transfer operation.

## Files
file | pmu.h
| PMU Driver API/interface file.

## Data Structures
struct | PMU_EventCfg
| Data structure used in PMU_Config. More...
struct | PMU_Config
| Data structure to be used with PMU_init. More...

## Functions
int32_t | PMU_init (PMU_Config *cfg)
| Function to initialize the PMU for profiling. More...
int32_t | PMU_profileStart (const char *name)
| Function to start profiling with the current configuration. More...
int32_t | PMU_profileEnd (const char *name)
| Function to end profiling with the current configuration. More...
void | PMU_profilePrintEntry (const char *name)
| Function to print the profiling stats for a particular profiling point. More...
void | PMU_profilePrint (void)
| Function to print the profiling stats for all the points done till now. More...

## Function Documentation

## ◆ PMU_init()

int32_t PMU_init | ( | PMU_Config * | cfg | ) |

Function to initialize the PMU for profiling.

Parameters

  cfg | PMU_Config

Returns
  SystemP_SUCCESS if command read was successful; else error on failure

## ◆ PMU_profileStart()

int32_t PMU_profileStart | ( | const char * | name | ) |

Function to start profiling with the current configuration.

Parameters

  name | Name of the profile point. Should be a const char *

Returns
  SystemP_SUCCESS if command read was successful; else error on failure

## ◆ PMU_profileEnd()

int32_t PMU_profileEnd | ( | const char * | name | ) |

Function to end profiling with the current configuration.

Make sure that a PMU_profileStart is called with the same name before this is invoked.

Parameters

  name | Name of the profile point. Should be a const char *

Returns
  SystemP_SUCCESS if command read was successful; else error on failure

## ◆ PMU_profilePrintEntry()

void PMU_profilePrintEntry | ( | const char * | name | ) |

Function to print the profiling stats for a particular profiling point.

This has to be called after PMU_profileEnd is called for the point

Parameters

  name | Name of the profile point. Should be a const char *

## ◆ PMU_profilePrint()

void PMU_profilePrint | ( | void |  | ) |

Function to print the profiling stats for all the points done till now.

This has to be called after PMU_profileEnd is called for at least one point.